from flask import render_template, flash, redirect, url_for, request, send_from_directory
from app import app
from app.forms import DownloadForm
from datetime import datetime, timedelta

@app.route('/', methods=['GET', 'POST'])
def download():
    form = DownloadForm()
    if request.method == 'GET':
        form.start_time.data = datetime.now() - timedelta(hours = 1)
        form.length.data = 60
    elif form.validate_on_submit():
        flash('The download should start immediately.')
        return render_template('download.html', form=form, filename='test.mp3')
    else:
        flash('Error')
    return render_template('download.html', form=form)

@app.route('/download_file/<path:filename>')
def download_file(filename):
    return send_from_directory(app.config['DATA_DIR'], filename, as_attachment=True)
